<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td align="center" valign="middle" style="padding-left:10px;padding-right:10px;">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td align="center"><img src="images/bullet0.gif"/><br/>
<a href="{@HREF}" class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
</tr>
</table></td>
            </xsl:when>
            
            
            <xsl:otherwise>
<td align="center" valign="middle" style="padding-left:10px;padding-right:10px;">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td align="center"><img src="images/bullet0.gif"/><br/>
<a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
</tr>
</table></td>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
<td valign="bottom" style="background-image: url('images/line1.gif');background-repeat: repeat-y;width:7px;"><div style="width:7px;"></div><img src="images/menu_bullet.gif"/></td>
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
