<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<tr>
                <td width="10"><img src="images/blank.gif" width="10" height="28" /></td>
                <td align="left"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td><img src="images/bullet.gif" width="12" height="28" /></td>
                <td width="10"><img src="images/blank.gif" width="10" height="28" /></td>
              </tr>
              <tr>
                <td width="10"><img src="images/blank.gif" width="10" height="3" /></td>
                <td align="left" background="images/menuhrbg.jpg"><img src="images/menuhr.jpg" width="130" height="3" /></td>
                <td width="12"><img src="images/menuhrr.jpg" width="12" height="3" /></td>
                <td width="10"><img src="images/blank.gif" width="10" height="3" /></td>
              </tr>
            </xsl:when>
            
            
            <xsl:otherwise>
				<tr>
                <td width="10"><img src="images/blank.gif" width="10" height="28" /></td>
                <td align="left"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td><img src="images/bullet.gif" width="12" height="28" /></td>
                <td width="10"><img src="images/blank.gif" width="10" height="28" /></td>
              </tr>
              <tr>
                <td width="10"><img src="images/blank.gif" width="10" height="3" /></td>
                <td align="left" background="images/menuhrbg.jpg"><img src="images/menuhr.jpg" width="130" height="3" /></td>
                <td width="12"><img src="images/menuhrr.jpg" width="12" height="3" /></td>
                <td width="10"><img src="images/blank.gif" width="10" height="3" /></td>
              </tr>
            </xsl:otherwise>
	    </xsl:choose>
	</xsl:template>	

</xsl:stylesheet>
