<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-265 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" style="background-image: url('images/001.gif');"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url('images/002.gif');"></td>
        <td height="69" style="background-image: url('images/002.gif');" >
		<!-- MENU -->
		<table  border="0" cellspacing="0" cellpadding="0" align="center">
            <tr>
             <xsl:call-template name="TOP-MENU"/>
            </tr>
        </table><!-- END MENU --></td>
        <td style="background-image: url('images/002.gif');"></td>
      </tr>
      <tr>
        <td width="35" height="2" valign="top"><img src="images/003.gif" width="35" height="2"/></td>
        <td style="background-image: url('images/003_3.gif'); background-position:top;background-repeat:repeat-x;">
		<table width="100%" height="2"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="left" valign="top"><img src="images/003_2.gif" width="15" height="2"/></td>
            <td align="right" valign="top"><img src="images/003_6.gif"/></td>
          </tr>
        </table>
		</td>
        <td valign="top"><img src="images/003_5.gif" width="34" height="2"/></td>
      </tr>
      <tr>
        <td height="205" valign="top"><img src="images/003_1.gif" width="35" height="205"/></td>
        <td height="205" valign="top" style="background-image: url('images/header1.gif'); border: 5px solid #FFFFFF;"><table width="100%" height="195"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td style="background-image: url('images/header.gif'); background-position:top left;background-repeat:no-repeat;">
			  <!-- LOGO -->
			  <table width="300"  border="0" align="right" cellpadding="3" cellspacing="0">
                <tr>
                  <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                </tr>
                <tr>
                  <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                </tr>
                <tr>
                  <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                </tr>
              </table>
			  <!-- END LOGO -->
			  </td>
            </tr>
        </table></td>
        <td width="34" valign="top"><img src="images/003_4.gif" width="34" height="205"/></td>
      </tr>
      <tr>
        <td valign="top"><img src="images/004.gif" width="35" height="12"/></td>
        <td height="2" valign="top" bgcolor="#F6F6F6" style="background-image: url('images/004_1.gif');background-position:top;background-repeat:repeat-x;"><table width="100%" height="2"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="left" valign="top"><img src="images/004_3.gif" width="37" height="11"/></td>
              <td align="right" valign="top"><img src="images/004_2.gif" width="20" height="11"/></td>
            </tr>
        </table></td>
        <td valign="top"><img src="images/004_4.gif" width="34" height="12"/></td>
      </tr>
      <tr>
        <td valign="top" style="background-image: url('images/005.gif');background-position:top;background-repeat:no-repeat;"></td>
        <td height="100%" valign="top" bgcolor="#F6F6F6"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td valign="top"></td>
              <td width="29" valign="bottom"><img src="images/bo1.gif" width="29" height="9"/></td>
              <td width="200" valign="top"></td>
            </tr>
            <tr>
              <td valign="top" style="padding:20px;">
			  <!-- CONTENT -->
			  <table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                <tr>
                  <td><table  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        <td><img src="images/007.gif" width="17" height="17"/></td>
                      </tr>
                    </table>
                      <br/>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table></td>
                </tr>
              </table><!-- END CONTENT --></td>
              <td valign="bottom" style="background-image: url('images/bo.gif');background-position:bottom;background-repeat:repeat-y;"></td>
              <td valign="top"><table width="200"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td style="padding-left:10px;padding-top:10px;">
				  <!-- SUBMENU -->
				  <table width="160" border="0" align="left" cellpadding="0" cellspacing="0">
                    <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                    
                  </table><!-- END SUBMENU --></td>
                </tr>
              </table></td>
            </tr>
            <tr>
              <td valign="top"></td>
              <td valign="top" style="background-position:bottom;background-repeat:repeat-y;"><img src="images/bo2.gif" width="29" height="23"/></td>
              <td valign="top"></td>
            </tr>
        </table></td>
        <td style="background-image: url('images/005_2.gif');background-position:top;background-repeat:no-repeat;" ></td>
      </tr>
      <tr>
        <td align="right" valign="top"><img src="images/006.gif" width="2" height="10"/></td>
        <td valign="top" style="background-image: url('images/006_1.gif');background-position:top ;background-repeat:repeat-x;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" valign="top"><img src="images/006_3.gif" width="14" height="10"/></td>
            <td align="right" valign="top"><img src="images/006_4.gif" width="19" height="10"/></td>
          </tr>
        </table></td>
        <td align="left" valign="top"><img src="images/006_2.gif" width="2" height="10"/></td>
      </tr>
      <tr>
        <td></td>
        <td style="padding-bottom:30px;padding-top:10px;"><table width="100%"  border="0" cellspacing="0" cellpadding="6">
          <tr>
            <td>
			<!-- BOTTOM MENU -->
			<table  border="0" cellspacing="0" cellpadding="0" align="center">
              <tr>
               <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table><!-- END BOTTOM MENU --></td>
          </tr>
          <tr><!-- FOOTER -->
            <td class="copyright"><div align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
         <!-- END FOOTER --> </tr>
        </table></td>
        <td></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td class="s1"><img src="images/008.gif"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


 <tr>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
<td class="s1"><img src="images/008.gif"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <tr>
<td colspan="2"><img src="images/009.gif"/></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

<td><a href='{@HREF}'  class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td><a href='{@HREF}'  class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td width="10"></td>
 <td class="t1"><img src="images/010.gif"/></td>
<td width="10"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
