<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				 <td><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td align="center" width="36" valign="middle"  background="images/button_bg.gif" style="background-repeat:no-repeat; background-position:center center"><img src="images/bullet1.gif" width="11" height="11" /></td>
            </xsl:when>
            
            
            <xsl:otherwise>
			 <td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td align="center" width="36" valign="middle" background="images/button_bg.gif" style="background-repeat:no-repeat; background-position:center center"><img src="images/bullet1.gif" width="11" height="11" /></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">		
		</xsl:if>
	</xsl:template>	

	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td align="left" width="25" height="31"><img src="images/sub_button.jpg" /></td>
					<td height="31"><span href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
				</tr>
	        </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>
					<td align="left" width="25" height="31"><img src="images/sub_button.jpg"  /></td>
					<td height="31"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

					</tr>	
				</xsl:if>
            </xsl:otherwise>
			

		</xsl:choose>
		<xsl:if test="position()!=last()">	
		<tr  >
		<td height="1" colspan="2" align="right"><img src="images/sub_line.gif"  /></td>
		</tr>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
