<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td class="tmenua"><div class="icon"><img src="images/bullet.gif" width="13" height="7"/></div>
					<a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            
            
            <xsl:otherwise>
            <td class="tmenu"><div class="icon"><img src="images/bullet.gif" width="13" height="7"/></div>
            <a href="{@HREF}" class="tmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
           <td width="7" align="center"><img src="images/space.gif" width="7" height="12"/><br/><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td height="1" background="images/title_thin_line_1.gif"></td>
                        </tr>
                        <tr>
                          <td valign="bottom" background="images/title_thin_line_2.gif"><img src="images/title_thin_line_2.gif" width="7" height="30"/></td>
                        </tr>
                        <tr>
                          <td height="1" background="images/title_thin_line_1.gif"></td>
                        </tr>
                    </table></td>
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
